# Uses of Class
org.codehaus.janino.Java.MemberInterfaceDeclaration

Packages that use Java.MemberInterfaceDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MemberInterfaceDeclaration in org.codehaus.janino

Subclasses of Java.MemberInterfaceDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.MemberAnnotationTypeDeclaration`
Representation of a member annotation type declaration, a.k.a.
Methods in org.codehaus.janino with parameters of type Java.MemberInterfaceDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeBodyDeclarationVisitor.`visitMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
Visitor.TypeDeclarationVisitor.`visitMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.MemberInterfaceDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.MemberInterfaceDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration subject)`
`void`
AbstractTraverser.`traverseMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid)`
`void`
Traverser.`traverseMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid)`